USE `creativacom_2014`;
DROP procedure IF EXISTS `kardexproductos`;

DELIMITER $$
USE `creativacom_2014`$$
CREATE DEFINER=`root2014`@`%` PROCEDURE `kardexproductos`( id VARCHAR(130))
BEGIN
DROP TABLE IF EXISTS test_1;
create temporary table test_1 (id2 varchar(100),id varchar(50),user varchar(80),`fecha` date,`ped/rec` varchar(100),
`detalle` varchar(200),`tipo_doc` varchar(200),documento varchar(200),
`moneda` varchar(50),debe double,haber double,saldo double,`tipo2` varchar(50),
`tipo` varchar(50),`tipo3` varchar(50),`saldo2` double);
set @id_articulo=id;
set @T=0.00;
set @tipo2='primero';
insert into test_1 (
SELECT *,IF(@tipo2!=tipo2,CONCAT(@tipo2:=tipo2,@t:=0),@tipo2) as 
tipo3,IF(tipo ='entrada',(@T:=@T+haber),(@T:=@T-debe)) AS saldo2 FROM 
(SELECT CONCAT('Entrada N°| ' ,e.id_entrada),e.id_entrada,e.user_login,e.fecha_factura as fecha,
concat(e.folio_factura, ' | GR:' , e.otros_guiaremision) as 'ped/rec',
e.proveedor as detalle,
substring(t10.`descripción`,1,200),e.folio_factura,
'S/' as moneda,0 as debe,
ed.cantidad as haber,
null as saldo,ed.id_articulo as tipo2,
'entrada' as tipo
from entradas_detalle ed
INNER JOIN entradas e ON ed.id_entrada=e.id_entrada
LEFT JOIN articulos a ON a.id_articulo=ed.id_articulo
LEFT JOIN `tabla 10: tipo de comprobante de pago o documento` t10 ON t10.id=e.tipo_entrada
WHERE ed.id_articulo=@id_articulo AND e.estado='OK'
UNION ALL
select CONCAT('Salida N°| ' ,s.id_salida),  s.id_salida,s.user_login,
s.fecha_salida as fecha,concat(s.tipo_referencia,' | ',s.nro_referencia) as tipo,
s.cliente as detalle,
IF(s.tipo_referencia='PEDIDO',IF(substr(p.documento,1,1)='F','Factura',IF(substr(p.documento,1,1)='B','Boleta de Venta',substring(t10.`descripción`,1,200))),substring(t10.`descripción`,1,200)),
IF(s.tipo_referencia='PEDIDO',p.documento,s.documento),
'S/' as moneda,sd.cantidad as debe,
0 as haber,null as saldo,sd.id_articulo as tipo2,'salida'  as tipo
from salidas_detalle sd 
INNER JOIN salidas s ON s.id_salida=sd.id_salida
LEFT JOIN `tabla 10: tipo de comprobante de pago o documento` t10 ON t10.id=s.id_tabla10
LEFT JOIN pedidos p ON p.id_pedido=s.nro_referencia
WHERE sd.id_articulo=@id_articulo AND s.estado='OK'
) kardex ORDER BY tipo2,fecha,tipo,id);
  select * from test_1 ;
END$$

DELIMITER ;

